Bug 493486 - Can't hibernate on HP Pavilion 8120
Can't hibernate on HP Pavilion 8120
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 513462
  Show dependency treegraph
 
Reported: 2009-04-01 18:17 EDT by Neil
Modified: 2010-06-28 07:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:39:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil 2009-04-01 18:17:16 EDT
Description of problem:
Trying to hibernate system hangs; won't resume on reboot.

Version-Release number of selected component (if applicable):
kernel 2.6.29-21.fc11.x86_64

How reproducible:
Always.  This used to work on Fedora Core 6 on this machine.

Steps to Reproduce:
1. From text console, run pm-hibernate.  Same thing happens from GNOME too.
2.
3.
  
Actual results:
Screen blanks; no text or cursor visible.  Slight click from speakers (saving volume settings???).  Disk light goes on for 5-10 seconds (saving state?), then off.  System does not power off; power-cycling does not do a resume, but reboots and fsck's.

Expected results:
System shows messages during hibernation, powers off after finished.

Additional info:
[I ran "logger 'About to run pm-hibernate...'" by hand]

Apr  1 15:01:44 mars login: ROOT LOGIN ON tty1
Apr  1 15:02:44 mars root: About to run pm-hibernate...
Apr  1 15:02:54 mars kernel: b43-phy0 debug: Removing Interface type 2
Apr  1 15:02:54 mars NetworkManager: <info>  Sleeping...
Apr  1 15:02:54 mars NetworkManager: <info>  (eth0): now unmanaged
Apr  1 15:02:54 mars NetworkManager: <info>  (eth0): device state change: 2 -> 1
Apr  1 15:02:54 mars NetworkManager: <info>  (eth0): cleaning up...
Apr  1 15:02:54 mars NetworkManager: <info>  (eth0): taking down device.
Apr  1 15:02:54 mars NetworkManager: <info>  (wlan0): now unmanaged
Apr  1 15:02:54 mars NetworkManager: <info>  (wlan0): device state change: 3 -> 1
Apr  1 15:02:54 mars NetworkManager: <info>  (wlan0): cleaning up...
Apr  1 15:02:54 mars NetworkManager: <info>  (wlan0): taking down device.
Apr  1 15:02:54 mars kernel: b43-phy0 debug: Wireless interface stopped
Apr  1 15:02:54 mars kernel: b43-phy0 debug: DMA-32 rx_ring: Used slots 0/64, Failed frames 0/0 = 0.0%, Average tries 0.00
Apr  1 15:02:54 mars kernel: b43-phy0 debug: DMA-32 tx_ring_AC_BK: Used slots 0/128, Failed frames 0/0 = 0.0%, Average tries 0.00
Apr  1 15:02:54 mars kernel: b43-phy0 debug: DMA-32 tx_ring_AC_BE: Used slots 0/128, Failed frames 0/0 = 0.0%, Average tries 0.00
Apr  1 15:02:54 mars kernel: b43-phy0 debug: DMA-32 tx_ring_AC_VI: Used slots 0/128, Failed frames 0/0 = 0.0%, Average tries 0.00
Apr  1 15:02:54 mars kernel: b43-phy0 debug: DMA-32 tx_ring_AC_VO: Used slots 2/128, Failed frames 0/319 = 0.0%, Average tries 0.96
Apr  1 15:02:55 mars kernel: b43-phy0 debug: DMA-32 tx_ring_mcast: Used slots 0/128, Failed frames 0/0 = 0.0%, Average tries 0.00
Apr  1 15:02:55 mars NetworkManager: <info>  (ttyUSB0): now unmanaged
Apr  1 15:02:55 mars NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 1
Apr  1 15:02:55 mars NetworkManager: <info>  (ttyUSB0): cleaning up...
Apr  1 15:02:55 mars NetworkManager: <info>  (ttyUSB0): taking down device.
Apr  1 15:02:55 mars kernel: PM: Marking nosave pages: 000000000009f000 - 0000000000100000
Apr  1 15:02:55 mars kernel: PM: Basic memory bitmaps created
Apr  1 15:05:31 mars kernel: imklog 3.21.10, log source = /proc/kmsg started.
Apr  1 15:05:31 mars kernel: Initializing cgroup subsys cpuset
Apr  1 15:05:31 mars kernel: Initializing cgroup subsys cpu
Apr  1 15:05:31 mars kernel: Linux version 2.6.29-21.fc11.x86_64 (mockbuild@x86-5.fedora.phx.redhat.com) (gcc version 4.4.0 20090328 (Red Hat 4.4.0-0.30) (GCC) ) #1 SMP Mon Mar 30 05:12:31 EDT 2009
Comment 1 Neil 2009-04-03 15:41:29 EDT
I also tried the "no_console_suspend" option (I assume that this is a kernel option, i.e. I should put it in /boot/grub/grub.conf, right?), and also tried setting the initdefault to 3 (so that X doesn't start, in case the blank screen is due to mixed up video modes).  Both attempts resulted in the same thing; lots of disk I/O while showing a completely blank screen, then no power-off or any activity.

The same thing happens on the newest kernel, 2.6.29.1-37.rc1.fc11.x86_64
Comment 2 Neil 2009-04-13 20:39:51 EDT
Still happening in kernel-firmware-2.6.29.1-68.fc11.noarch, despite Changelog comments "Fix suspend/resume with Intel IOMMU".
Comment 3 Bug Zapper 2009-06-09 09:02:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Miro Hadzhiev 2009-06-13 07:21:50 EDT
The same bug occurs with HP NX9420 rh450ea, Ati Mobility x1600 (r5xx family).
Using default xorg configuration (radeon driver v. 6.12.2).
The system is fully updated.
Comment 5 Miro Hadzhiev 2009-06-13 07:22:42 EDT
And yes, under Fedora Leonidas x86-64.
Comment 6 Alex Lancaster 2009-12-18 17:48:57 EST
Is this working for you in F-12?  I have a similar problem with a Gateway SX2800 on F-12.  The /var/log/pm-suspend.log (viewed after restarting) looks fine:

Initial commandline parameters: 
Fri Dec 18 15:27:49 EST 2009: Running hooks for hibernate.
/usr/lib64/pm-utils/sleep.d/00auto-quirk hibernate hibernate: Adding quirks from HAL: --quirk-dpms-on --quirk-dpms-suspend --quirk-vbe-post --quirk-vbemode-r
estore --quirk-vbestate-restore --quirk-vga-mode-3 
success.
/usr/lib64/pm-utils/sleep.d/00logging hibernate hibernate: Linux localhost.localdomain 2.6.31.6-166.fc12.x86_64 #1 SMP Wed Dec 9 10:46:22 EST 2009 x86_64 x86_6
4 x86_64 GNU/Linux
Module                  Size  Used by
sunrpc                191864  1 
autofs4                27448  3 
ip6t_REJECT             5856  2 
nf_conntrack_ipv6      21880  13 
ip6table_filter         4016  1 
ip6_tables             19664  1 ip6table_filter
ipv6                  298864  32 ip6t_REJECT,nf_conntrack_ipv6
cpufreq_ondemand        7824  4 
acpi_cpufreq           10528  0 
freq_table              4864  2 cpufreq_ondemand,acpi_cpufreq
dm_multipath           17304  0 
uinput                  9248  0 
snd_hda_codec_intelhdmi    14912  1 
usblp                  13776  0 
snd_hda_codec_realtek   281380  1 
snd_hda_intel          30344  2 
arc4                    2160  2 
snd_hda_codec          72832  3 snd_hda_codec_intelhdmi,snd_hda_codec_realtek,snd_hda_intel
ecb                     3264  2 
snd_hwdep               9224  1 snd_hda_codec
snd_seq                58080  0 
snd_seq_device          7620  1 snd_seq
snd_pcm                83144  2 snd_hda_intel,snd_hda_codec
snd_timer              22608  2 snd_seq,snd_pcm
firewire_ohci          23348  0 
zd1211rw               49688  0 
snd                    67592  13 snd_hda_codec_intelhdmi,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
mac80211              181496  1 zd1211rw
soundcore               7328  1 snd
i2c_i801               12800  0 
firewire_core          47880  1 firewire_ohci
snd_page_alloc          9568  2 snd_hda_intel,snd_pcm
e1000e                124624  0 
cfg80211               87800  2 zd1211rw,mac80211
iTCO_wdt               13008  0 
rfkill                 20488  1 cfg80211
iTCO_vendor_support     3588  1 iTCO_wdt
crc_itu_t               2080  1 firewire_core
wmi                     7280  0 
usb_storage            60288  0 
i915                  221552  1 
drm_kms_helper         25376  1 i915
drm                   171712  3 i915,drm_kms_helper
i2c_algo_bit            6020  1 i915
i2c_core               28608  4 i2c_i801,i915,drm,i2c_algo_bit
video                  23476  1 i915
output                  3360  1 video
             total       used       free     shared    buffers     cached
Mem:       4025980     467192    3558788          0      48260     146800
-/+ buffers/cache:     272132    3753848
Swap:      6045688          0    6045688

success.
/usr/lib64/pm-utils/sleep.d/00powersave hibernate hibernate: success.
/usr/lib64/pm-utils/sleep.d/01grub hibernate hibernate: success.
/usr/lib64/pm-utils/sleep.d/10-dhclient hibernate hibernate: success.
/usr/lib64/pm-utils/sleep.d/49bluetooth hibernate hibernate: not applicable.
/usr/lib64/pm-utils/sleep.d/55NetworkManager hibernate hibernate: success.
/usr/lib64/pm-utils/sleep.d/56atd hibernate hibernate: success.
/usr/lib64/pm-utils/sleep.d/75modules hibernate hibernate: not applicable.
/usr/lib64/pm-utils/sleep.d/90clock hibernate hibernate: not applicable.
/usr/lib64/pm-utils/sleep.d/94cpufreq hibernate hibernate: success.
/usr/lib64/pm-utils/sleep.d/95led hibernate hibernate: not applicable.
/usr/lib64/pm-utils/sleep.d/95packagekit hibernate hibernate: success.
/usr/lib64/pm-utils/sleep.d/98smart-kernel-video hibernate hibernate: success.
/usr/lib64/pm-utils/sleep.d/99hd-apm-restore.hook hibernate hibernate: saving level 255 for device sda
 HDIO_DRIVE_CMD(identify) failed: Invalid exchange
Advanced Power Management not supported by device sdc.
 HDIO_DRIVE_CMD(identify) failed: Invalid exchange
Advanced Power Management not supported by device sdb.
success.
/usr/lib64/pm-utils/sleep.d/99video hibernate hibernate: success.
Fri Dec 18 15:27:49 EST 2009: performing hibernate


but then nothing happens, the screen is blank.
Comment 7 Alex Lancaster 2009-12-18 17:49:34 EST
kernel-2.6.31.6-166.fc12.x86_64
Comment 8 Bug Zapper 2010-04-27 09:25:50 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 07:39:02 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.